SOAPConnectionImpl (Axis API)
Keywords: org.apache.axis.soap.SOAPConnectionImpl,SOAPConnectionImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Class SOAPConnectionImpl

    java.lang.Object
      |
      +--javax.xml.soap.SOAPConnection
            |
            +--org.apache.axis.soap.SOAPConnectionImpl

public class SOAPConnectionImpl
extends SOAPConnection

SOAP Connection implementation

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`SOAPConnectionImpl()`

Method Summary
`SOAPMessage` | `call(SOAPMessage request, java.lang.Object endpoint)` Sends the given message to the specified endpoint and blocks until it has returned the response.
`void` | `close()` Closes this `SOAPConnection` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPConnectionImpl

    public SOAPConnectionImpl()

Method Detail

### call

    public SOAPMessage call(SOAPMessage request,
                            java.lang.Object endpoint)
                     throws SOAPException

  Sends the given message to the specified endpoint and blocks until it has returned the response.

  Specified by:
    `call` in class `SOAPConnection`
  Parameters:
    `request` - the `SOAPMessage` object to be sent
    `endpoint` - a `URLEndpoint` object giving the URL to which the message should be sent
  Returns:
    the `SOAPMessage` object that is the response to the message that was sent
  Throws:
    `SOAPException` - if there is a SOAP error

### close

    public void close()
               throws SOAPException

  Closes this `SOAPConnection` object.

  Specified by:
    `close` in class `SOAPConnection`
  Throws:
    `SOAPException` - if there is a SOAP error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.